{
    attributes = (
        {
            columnName = "CONV_ORDRE"; 
            externalType = NUMBER; 
            name = convOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "DCON_HT_SAISIE"; 
            externalType = NUMBER; 
            name = dconHtSaisie; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "DCON_ID"; 
            externalType = NUMBER; 
            name = dconId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "DCON_MONTANT_BUDGETAIRE"; 
            externalType = NUMBER; 
            name = dconMontantBudgetaire; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "DCON_TTC_SAISIE"; 
            externalType = NUMBER; 
            name = dconTtcSaisie; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "DCON_TVA_SAISIE"; 
            externalType = NUMBER; 
            name = dconTvaSaisie; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "DEP_ID"; 
            externalType = NUMBER; 
            name = depId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "EXE_ORDRE"; 
            externalType = NUMBER; 
            name = exeOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (dconId); 
    className = "org.cocktail.maracuja.server.metier.depense.EOJDDepenseCtrlConvention"; 
    classProperties = (
        dconHtSaisie, 
        dconMontantBudgetaire, 
        dconTtcSaisie, 
        dconTvaSaisie, 
        toAccordsContrat, 
        toDepenseBudget
    ); 
    externalName = "jefy_depense.DEPENSE_CTRL_CONVENTION"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            dconHtSaisie, 
            dconMontantBudgetaire, 
            dconTtcSaisie, 
            dconTvaSaisie, 
            toAccordsContrat, 
            toDepenseBudget
        ); 
        "_javaClientClassName" = "org.cocktail.maracuja.client.metier.depense.EOJDDepenseCtrlConvention"; 
    }; 
    isReadOnly = Y; 
    name = JDDepenseCtrlConvention; 
    primaryKeyAttributes = (dconId); 
    relationships = (
        {
            destination = AccordsContrat; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = conOrdre; sourceAttribute = convOrdre; }); 
            name = toAccordsContrat; 
        }, 
        {
            destination = JDDepenseBudget; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = depId; sourceAttribute = depId; }); 
            name = toDepenseBudget; 
        }
    ); 
}
